libdvbv5: dvb_table_pmt Struct Reference

libdvbv5 1.30.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_table_pmt Struct Reference
Digital TV table parsing

MPEG-TS PMT table. More...

`#include <pmt.h>`

## Data Fields
struct dvb_table_header | header
union { |
uint16_t bitfield |
struct { |
uint16_t pcr_pid:13 |
uint16_t reserved2:3 |
} |  |
}; |  |
union { |
uint16_t bitfield2 |
struct { |
uint16_t desc_length:10 |
uint16_t zero3:2 |
uint16_t reserved3:4 |
} |  |
}; |  |
struct dvb_desc * | descriptor
struct dvb_table_pmt_stream * | stream

## Detailed Description

MPEG-TS PMT table.

Parameters

  header | struct dvb_table_header content
  pcr_pid | PCR PID
  desc_length | descriptor length
  descriptor | pointer to struct dvb_desc
  stream | pointer to struct dvb_table_pmt_stream

This structure is used to store the original PMT stream table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_pmt::descriptor (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 208 of file pmt.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_table_pmt

## ◆ [union]

union { ... } dvb_table_pmt

## ◆ bitfield

uint16_t dvb_table_pmt::bitfield

Definition at line 211 of file pmt.h.

## ◆ bitfield2

uint16_t dvb_table_pmt::bitfield2

Definition at line 219 of file pmt.h.

## ◆ desc_length

uint16_t dvb_table_pmt::desc_length

Definition at line 221 of file pmt.h.

## ◆ descriptor

struct dvb_desc* dvb_table_pmt::descriptor

Definition at line 226 of file pmt.h.

## ◆ header

struct dvb_table_header dvb_table_pmt::header

Definition at line 209 of file pmt.h.

## ◆ pcr_pid

uint16_t dvb_table_pmt::pcr_pid

Definition at line 213 of file pmt.h.

## ◆ reserved2

uint16_t dvb_table_pmt::reserved2

Definition at line 214 of file pmt.h.

## ◆ reserved3

uint16_t dvb_table_pmt::reserved3

Definition at line 223 of file pmt.h.

## ◆ stream

struct dvb_table_pmt_stream* dvb_table_pmt::stream

Definition at line 227 of file pmt.h.

## ◆ zero3

uint16_t dvb_table_pmt::zero3

Definition at line 222 of file pmt.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/pmt.h